#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 kan-extensions
version:              5.2.7
visibility:           public
id:                   kan-extensions-5.2.7-I14P9e7Y3NNItZu7YbknXA
key:                  kan-extensions-5.2.7-I14P9e7Y3NNItZu7YbknXA
license:              BSD-3-Clause
copyright:            Copyright (C) 2008-2016 Edward A. Kmett
maintainer:           Edward A. Kmett <ekmett@gmail.com>
author:               Edward A. Kmett
stability:            provisional
homepage:             http://github.com/ekmett/kan-extensions/
synopsis:
    Kan extensions, Kan lifts, the Yoneda lemma, and (co)density (co)monads

description:
    Kan extensions, Kan lifts, various forms of the Yoneda lemma, and (co)density (co)monads.

category:             Data Structures, Monads, Comonads, Functors
abi:                  029b1de11a1cb8e7270e1961eff7778b
exposed:              True
exposed-modules:
    Control.Comonad.Density Control.Monad.Co Control.Monad.Codensity
    Data.Functor.Contravariant.Coyoneda Data.Functor.Contravariant.Day
    Data.Functor.Contravariant.Yoneda Data.Functor.Coyoneda
    Data.Functor.Day Data.Functor.Day.Curried
    Data.Functor.Invariant.Day Data.Functor.Kan.Lan
    Data.Functor.Kan.Ran Data.Functor.Yoneda

import-dirs:          /usr/lib/ghc-9.4.8/site-local/kan-extensions-5.2.7
library-dirs:         /usr/lib/ghc-9.4.8/site-local/kan-extensions-5.2.7
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/kan-extensions-5.2.7
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-kan-extensions
hs-libraries:         HSkan-extensions-5.2.7-I14P9e7Y3NNItZu7YbknXA
depends:
    adjunctions-4.4.3-6h7bdstiykSBZArxYQhZY array-0.5.4.0 base-4.17.2.1
    comonad-5.0.9-CYRf3Ulu8In4y9mFpuJfXr containers-0.6.7
    contravariant-1.5.5-p3peIMeiUA4Z37z2EtgYi
    distributive-0.6.2.1-CYwgdClE26GLAL3gsDf3Vu
    free-5.2-AjBZvtZ45vgHOpqwk2u8EN
    invariant-0.6.4-GFc5XEkcvQ9CTbEctJixhy mtl-2.2.2
    profunctors-5.6.3-KS6OBvK2tTXJW0Dy4E920y
    semigroupoids-6.0.1-7n3aaPCHmN5GglciF51V9Q
    tagged-0.8.9-KMS3sfDasKWItFZcxfaN6C transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-kan-extensions/html/kan-extensions.haddock

haddock-html:         /usr/share/doc/haskell-kan-extensions/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

